msg_status_text()
{
    local type="$1" msg="$2"

    case "$type" in
        ok|success)
            echo -e "${COLOR_GREEN}✅ ${msg}${NONE}"
            ;;
        warn|warning)
            echo -e "${COLOR_YELLOW}⚡ ${msg}${NONE}"
            ;;
        error|err)
            echo -e "${COLOR_LIGHT_RED}❎ ${msg}${NONE}"
            ;;
        info|inf)
            echo -e "${COLOR_LIGHT_BLUE}🚀 ${msg}${NONE}"
            ;;
        *)
            echo -e "${msg}"
            ;;
    esac
}


msg_success() {
    msg_status_text success "$1"
}

# Fonction Erreur (Cross)
msg_error() {
    msg_status_text error "$1"
}

# Fonction Warning (Exclamation)
msg_warning() {
    msg_status_text warning "$1"
}

# Fonction Info (i)
msg_info() {
    msg_status_text info "$1"
}
